
Website Monitoring - Feature #891

Ability to filter out data from the status summary that is not associated with an available input

11/13/2014 06:20 PM - Luke Murphey

Status: Closed Start date: 11/13/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1   

Description

See http://answers.splunk.com/answers/188627/website-monitoring-app-remove-website.html

History

#1 - 02/07/2015 04:57 AM - Luke Murphey

- Target version set to 1.1

#2 - 02/07/2015 04:58 AM - Luke Murphey

- Status changed from New to In Progress

This could likely be done with | rest and a join.

Something like:

sourcetype="web_ping" | join source [| rest /services/data/inputs/web_ping | search disabled=0 | fields title 

id | rex field=id ".*[/](?<name>[^/]*)" | eval name=urldecode(name) | eval source="web_ping://".urldecode(name

)]

#3 - 02/07/2015 08:02 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#4 - 02/11/2015 06:01 PM - Luke Murphey

This doesn't work on 6.0 because the checkbox input isn't available:

Traceback (most recent call last):

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/splunk/appserver/mrsparkle/controllers/__init__.py

", line 277, in render_template

    return templateInstance.render(**template_args)

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/template.py", line 283, in render

    return runtime._render(self, self.callable_, args, data)

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/runtime.py", line 575, in _render

    **_kwargs_for_callable(callable_, data))

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/runtime.py", line 607, in _render_context

    _exec_template(inherit, lclcontext, args=args, kwargs=kwargs)

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/runtime.py", line 633, in _exec_template

    callable_(context, *args, **kwargs)

  File "/Library/Splunk/splunk6/share/splunk/search_mrsparkle/templates/dashboards/dashboard.html", line 84, i

n render_body

    % endfor

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/runtime.py", line 498, in _include_file

    template = _lookup_template(context, uri, calling_uri)

  File "/Library/Splunk/splunk6/lib/python2.7/site-packages/mako/runtime.py", line 543, in _lookup_template
    raise exceptions.TemplateLookupException(str(e))

TemplateLookupException: Splunk has failed to locate the template for uri '/dashboards/elements/CheckboxInput.

html'.
